.TH DUF 1 "2022-02-08" "duf" "Disk Usage/Free Utility"
.SH NAME
duf - Disk Usage/Free Utility
.SH SYNOPSIS
\fBduf\fP [\fIoptions\&.\&.\&.\fP] [\fIargument\&.\&.\&.\fP]
.SH DESCRIPTION
Simple Disk Usage/Free Utility\&.
.PP
Features:
.PP
.RS
.IP \(bu 3
User-friendly, colorful output\&.
.IP \(bu 3
Adjusts to your terminal's theme & width\&.
.IP \(bu 3
Sort the results according to your needs\&.
.IP \(bu 3
Groups & filters devices\&.
.IP \(bu 3
Can conveniently output JSON\&.
.SH OPTIONS
.TP
\fB-all\fP
include pseudo, duplicate, inaccessible file systems
.TP
\fB-avail-threshold\fP
specifies the coloring threshold (yellow, red) of the avail column, must be integer with optional SI prefixes
.TP
\fB-hide\fP
hide specific devices, separated with commas: local, network, fuse, special, loops, binds
.TP
\fB-hide-fs\fP
hide specific filesystems, separated with commas
.TP
\fB-hide-mp\fP
hide specific mount points, separated with commas (supports wildcards)
.TP
\fB-inodes\fP
list inode information instead of block usage
.TP
\fB-json\fP
output all devices in JSON format
.TP
\fB-only\fP
show only specific devices, separated with commas: local, network, fuse, special, loops, binds
.TP
\fB-only-fs\fP
only specific filesystems, separated with commas
.TP
\fB-only-mp\fP
only specific mount points, separated with commas (supports wildcards)
.TP
\fB-output\fP
output fields: mountpoint, size, used, avail, usage, inodes, inodes_used, inodes_avail, inodes_usage, type, filesystem
.TP
\fB-sort\fP
sort output by: mountpoint, size, used, avail, usage, inodes, inodes_used, inodes_avail, inodes_usage, type, filesystem
.TP
\fB-style\fP
style: unicode, ascii
.TP
\fB-theme\fP
color themes: dark, light, ansi
.TP
\fB-usage-threshold\fP
specifies the coloring threshold (yellow, red) of the usage bars as a floating point number from 0 to 1
.TP
\fB-version\fP
display version
.TP
\fB-warnings\fP
output all warnings to STDERR
.TP
\fB-width\fP
max output width
.SH USAGE
You can simply start duf without any command-line arguments:
.PP
.PP
  $ duf
.PP
.PP
If you supply arguments, duf will only list specific devices & mount points:
.PP
.PP
  $ duf /home /some/file
.PP
.PP
If you want to list everything (including pseudo, duplicate, inaccessible file systems):
.PP
.PP
  $ duf --all
.PP
.PP
You can show and hide specific tables:
.PP
.PP
  $ duf --only local,network,fuse,special,loops,binds
.PP
  $ duf --hide local,network,fuse,special,loops,binds
.PP
.PP
You can also show and hide specific filesystems:
.PP
.PP
  $ duf --only-fs tmpfs,vfat
.PP
  $ duf --hide-fs tmpfs,vfat
.PP
.PP
\&.\&.\&.or specific mount points:
.PP
.PP
  $ duf --only-mp /,/home,/dev
.PP
  $ duf --hide-mp /,/home,/dev
.PP
.PP
Wildcards inside quotes work:
.PP
.PP
  $ duf --only-mp '/sys/*,/dev/*'
.PP
.PP
Sort the output:
.PP
.PP
  $ duf --sort size
.PP
.PP
Valid keys are: mountpoint, size, used, avail, usage, inodes, inodes_used, inodes_avail, inodes_usage, type, filesystem\&.
.PP
.PP
Show or hide specific columns:
.PP
.PP
  $ duf --output mountpoint,size,usage
.PP
.PP
Valid keys are: mountpoint, size, used, avail, usage, inodes, inodes_used, inodes_avail, inodes_usage, type, filesystem\&.
.PP
.PP
List inode information instead of block usage:
.PP
.PP
  $ duf --inodes
.PP
.PP
If duf doesn't detect your terminal's colors correctly, you can set a theme:
.PP
.PP
  $ duf --theme light
.PP
.PP
duf highlights the availability & usage columns in red, green, or yellow, depending on how much space is still available\&. You can set your own thresholds:
.PP
.PP
  $ duf --avail-threshold="10G,1G"
.PP
  $ duf --usage-threshold="0\&.5,0\&.9"
.PP
.PP
If you prefer your output as JSON:
.PP
.PP
  $ duf --json
.PP
.SH NOTES
Portions of duf's code are copied and modified from https://github\&.com/shirou/gopsutil\&.
.PP
gopsutil was written by WAKAYAMA Shirou and is distributed under BSD-3-Clause\&.
.SH AUTHORS
duf was written by Christian Muehlhaeuser <https://github\&.com/muesli/duf>
.SH COPYRIGHT
Copyright (C) 2020-2022 Christian Muehlhaeuser <https://github\&.com/muesli>
.PP
Released under MIT license\&.
